Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[kde-testing] and [kde-crazy] KDE4 overlays thread (part 3)
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3 ... 10, 11, 12 ... 38, 39, 40  Next  
This topic is locked: you cannot edit posts or make replies.    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
Anansi
n00b
n00b


Joined: 21 Jan 2009
Posts: 1

PostPosted: Wed Jan 21, 2009 10:18 pm    Post subject: Reply with quote

genstorm wrote:
Does anyone else get strange konsole behaviour with 4.1.96? Two friends of mine have non-functioning right click there while there are no issues otherwise. I can't reproduce it on my own systems.

As one of the two friends I'd like to say, that I think I've found the reason for this (and some other) problem(s). My kdm wasn't working properly (only starting xterm, see this bug) and it seems because of this the following problems occured:

- no right-click in konsole
- "no text" menu entries in dolphin (and maybe other kde apps, haven't checked them all)
- non-working knewstuff (all corresponding buttons just did nothing)

As mentioned at the bug-page, I changed the permissions and it works fine now ;)
Back to top
View user's profile Send private message
bers
n00b
n00b


Joined: 28 Nov 2008
Posts: 49

PostPosted: Thu Jan 22, 2009 8:16 am    Post subject: Strange Reply with quote

Hi. Sorry for my English. Some strange things.
1. If you change the default file manager for Krusader in plasma applet Device Notifications displayed icon of Dolphin, the clique was trying to run Krusader, but nothing happens.
2. I have a hdd usb drive. When i click in Device Notifications to opening in Dolphin then Documents folder opening. If you then in opening Dolphin click on the icon of hdd usb drive, then the mounting folder and all work. But why did not mount and open folder of hdd usb by default?...
Back to top
View user's profile Send private message
Finswimmer
Moderator
Moderator


Joined: 02 Sep 2004
Posts: 5467
Location: Langen (Hessen), Germany

PostPosted: Thu Jan 22, 2009 4:19 pm    Post subject: Reply with quote

Hello,

the plasmoid "commandwatch" does not compile:
First, it wants to have libplasma which is :4.1
If I change libplasma with kde-base/plasma-workspace I get this:

Code:
CMake Error at /usr/kde/4.2/share/apps/cmake/modules/FindPlasma.cmake:13 (message):                                                                             
  FindPlasma.cmake is deprecated.  Now with KDE 4.2 Plasma is part of kdelibs                                                                                   
  and automatically found using find_package(KDE4) instead.                                                                                                     

  Replace the variables previously coming from FindPlasma.cmake as follows:

  PLASMA_OPENGL_FOUND -> KDE4_PLASMA_OPENGL_FOUND

  PLASMA_LIBS -> KDE4_PLASMA_LIBS

  PLASMA_INCLUDE_DIR -> KDE4_INCLUDE_DIR or KDE4_INCLUDES, should be already
  set anyway                                                               

  PLASMA_FOUND -> nothing, it's always there if KDE4, version 4.2 or newer
  has been found.                                                         

  If you see this error message in a module within KDE/, update it from svn,
  it has been fixed already.                                               

Call Stack (most recent call first):
  CMakeLists.txt:6 (find_package)   


-- Configuring incomplete, errors occurred!
 *                                         
 * ERROR: kde-plasmoids/commandwatch-0.1 failed.
 * Call stack:                                 
 *               ebuild.sh, line   49:  Called src_configure
 *             environment, line 3159:  Called kde4-base_src_configure
 *             environment, line 2337:  Called cmake-utils_src_configure
 *             environment, line  790:  Called cmake-utils_src_configureout
 *             environment, line  809:  Called die                         
 * The specific snippet of code:                                           
 *       cmake -C "${TMPDIR}/gentoo_common_config.cmake" ${cmakeargs} "${S}" || die "Cmake failed";
 *  The die message:                                                                               
 *   Cmake failed                                                                                 
 *                                                                                                 
 * If you need support, post the topmost build error, and the call stack if relevant.             
 * A complete build log is located at '/var/tmp/portage/kde-plasmoids/commandwatch-0.1/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/kde-plasmoids/commandwatch-0.1/temp/environment'.
 * This ebuild is from an overlay: '/usr/local/portage/layman/kde-testing/'                                     
 *                                                                   



Thanks
Tobi
_________________
Bitte auf Rechtschreibung, korrekte Formatierung und Höflichkeit achten!
Danke
Back to top
View user's profile Send private message
Dont Panic
Guru
Guru


Joined: 20 Jun 2007
Posts: 322
Location: SouthEast U.S.A.

PostPosted: Thu Jan 22, 2009 5:29 pm    Post subject: Reply with quote

I'm seeing ebuilds tagged for release 4.2.0 in the kde-testing overlay.

As usual the sources don't seem to be available yet. Does anybody know the planned schedule?
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 6929
Location: Austria

PostPosted: Thu Jan 22, 2009 5:31 pm    Post subject: Reply with quote

Quote:
KDE 4.1.4 is the last planned update to the KDE 4.1 series and stabilizes the 4.1 platform further. KDE 4.2.0 will be released on January 27th and is considered a significant improvement in nearly all aspects above the KDE 4.1 series.

http://www.kde.org/
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
Benni123
Tux's lil' helper
Tux's lil' helper


Joined: 13 Mar 2005
Posts: 110

PostPosted: Thu Jan 22, 2009 9:18 pm    Post subject: Reply with quote

now, there are already unstable sources for 4.2.60 at kde mirrors. See

ftp://ftp-stud.fht-esslingen.de/pub/Mirrors/ftp.kde.org/pub/kde/unstable/
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 6929
Location: Austria

PostPosted: Thu Jan 22, 2009 10:08 pm    Post subject: Reply with quote

Nice. ;) I don't think though that I'll switch to 4.3 branch until about 4.2.8x this time, unless there are real killer apps for it available - which are missing in 4.2. I'm thinking of k3b, kaffeine...
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
reavertm
Developer
Developer


Joined: 05 Feb 2004
Posts: 264
Location: Wrocław

PostPosted: Fri Jan 23, 2009 12:50 am    Post subject: Reply with quote

Finswimmer wrote:
Hello,

the plasmoid "commandwatch" does not compile:
First, it wants to have libplasma which is :4.1
If I change libplasma with kde-base/plasma-workspace I get this:


Unfortunately as for now 3rd party plasmoids are pretty much unmaintained - and most of them usually even fail to build with 4.2 (rather upstream issue). We will probably need someone to review them and remove those...
_________________
Maciek
Back to top
View user's profile Send private message
paulbiz
Guru
Guru


Joined: 01 Feb 2004
Posts: 506
Location: St. Louis, Missouri, USA

PostPosted: Fri Jan 23, 2009 2:08 am    Post subject: Reply with quote

Am I the only one for whom KDE 4.2 (RC) and its apps crash constantly? It is extremely frustrating when 1 out of 5 times you right-click the whole thing dies and kicks you out to the login manager. Should I give up and go back to 3.5 and wait for 4.3? I already did that for 4.0 and 4.1 :P
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 6929
Location: Austria

PostPosted: Fri Jan 23, 2009 2:18 am    Post subject: Reply with quote

paulbiz wrote:
Am I the only one for whom KDE 4.2 (RC) and its apps crash constantly?

Such is definitely not normal 4.2 behaviour.
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
paulbiz
Guru
Guru


Joined: 01 Feb 2004
Posts: 506
Location: St. Louis, Missouri, USA

PostPosted: Fri Jan 23, 2009 2:25 am    Post subject: Reply with quote

genstorm wrote:
paulbiz wrote:
Am I the only one for whom KDE 4.2 (RC) and its apps crash constantly?

Such is definitely not normal 4.2 behaviour.


Where is the appropriate place to ask for help for one using gentoo & kde-testing overlay? here? mailing list? kde forums? I like the look & performance of 4.2 but the crashing is killing me...
Back to top
View user's profile Send private message
paulbiz
Guru
Guru


Joined: 01 Feb 2004
Posts: 506
Location: St. Louis, Missouri, USA

PostPosted: Fri Jan 23, 2009 2:36 am    Post subject: Reply with quote

It could very well be X or nvidia drivers crashing as a result of something KDE4 is doing, but it only happens to me in KDE 4.2... xfce4 and kde3.5 have never died like that.

Code:
Backtrace:
0: /usr/bin/X(xorg_backtrace+0x26) [0x4eac76]
1: /usr/bin/X(xf86SigHandler+0x39) [0x4883b9]
2: /lib/libc.so.6 [0x7fabc8f7a290]
3: /usr/bin/X(miHandleValidateExposures+0x6c) [0x4e2d2c]
4: /usr/bin/X(UnmapWindow+0x208) [0x4362f8]
5: /usr/bin/X(compFreeClientWindow+0x23e) [0x4fc28e]
6: /usr/bin/X [0x4f97f9]
7: /usr/bin/X(FreeResource+0x133) [0x433d13]
8: /usr/bin/X(compUnredirectWindow+0x63) [0x4fbe73]
9: /usr/bin/X [0x4fa216]
10: /usr/bin/X [0x4e32ef]
11: /usr/bin/X [0x4e31fc]
12: /usr/bin/X [0x4e31fc]
13: /usr/bin/X(miChangeSaveUnder+0x50) [0x4e3390]
14: /usr/bin/X(miMoveWindow+0x28f) [0x4e1fcf]
15: /usr/bin/X(compMoveWindow+0xae) [0x4fb14e]
16: /usr/bin/X(ConfigureWindow+0x586) [0x437746]
17: /usr/bin/X(ProcConfigureWindow+0x8d) [0x44a17d]
18: /usr/bin/X(Dispatch+0x364) [0x44ab04]
19: /usr/bin/X(main+0x45d) [0x4314fd]
20: /lib/libc.so.6(__libc_start_main+0xe6) [0x7fabc8f665c6]
21: /usr/bin/X [0x4308d9]

Fatal server error:
Caught signal 11.  Server aborting


Akregator, on the other hand, crashes ALL THE TIME even when I run it from xfce... it doesn't crash X, just the app crashes.
Back to top
View user's profile Send private message
Finswimmer
Moderator
Moderator


Joined: 02 Sep 2004
Posts: 5467
Location: Langen (Hessen), Germany

PostPosted: Fri Jan 23, 2009 7:47 am    Post subject: Reply with quote

As wicd currently does not work, I tried to get Networkmanager and KNetworkManager to work.
But Knetworkmanager is only available for 3.5.

How can I use it without starting a 3.5 session and adjust it there?

Thanks
Tobi
_________________
Bitte auf Rechtschreibung, korrekte Formatierung und Höflichkeit achten!
Danke
Back to top
View user's profile Send private message
titoucha
Advocate
Advocate


Joined: 21 Jul 2005
Posts: 2374
Location: Genève

PostPosted: Fri Jan 23, 2009 9:32 am    Post subject: Reply with quote

It's planning to release ebuilds for kde version 4.2.60 in the overlay kde-crazy
_________________
Assurez-vous que le titre de votre message soit conforme aux conventions de ce forum (paragraphe 3/3 : Comment poster sur le forum ??)
Back to top
View user's profile Send private message
gaelic
Tux's lil' helper
Tux's lil' helper


Joined: 30 Dec 2003
Posts: 119
Location: Vienna, Austria, Europe, World, Solar System, Milky Way, Universe

PostPosted: Fri Jan 23, 2009 9:55 am    Post subject: Reply with quote

titoucha wrote:
It's planning to release ebuilds for kde version 4.2.60 in the overlay kde-crazy


i thought kde-crazy is dead and both, testing and crazy have been merged to testing?
Back to top
View user's profile Send private message
lmarcini
Guru
Guru


Joined: 21 Jul 2004
Posts: 531
Location: Champagne sur Seine (France)

PostPosted: Fri Jan 23, 2009 10:15 am    Post subject: Reply with quote

gaelic_cargal wrote:
titoucha wrote:
It's planning to release ebuilds for kde version 4.2.60 in the overlay kde-crazy


i thought kde-crazy is dead and both, testing and crazy have been merged to testing?


Yes, you have use kde-testing for all branchs (testing and unstable).
_________________
umount /dev/brain
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 6929
Location: Austria

PostPosted: Fri Jan 23, 2009 10:19 am    Post subject: Reply with quote

Finswimmer wrote:
As wicd currently does not work, I tried to get Networkmanager and KNetworkManager to work.
But Knetworkmanager is only available for 3.5.

A quick equery revealed an ebuild called 'knetworkconf'. Perhaps that's the supposed replacement?
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
individual
n00b
n00b


Joined: 06 Dec 2006
Posts: 61
Location: Wrocław

PostPosted: Fri Jan 23, 2009 10:35 am    Post subject: Reply with quote

paulbiz wrote:
It could very well be X or nvidia drivers crashing as a result of something KDE4 is doing, but it only happens to me in KDE 4.2... xfce4 and kde3.5 have never died like that.

Akregator, on the other hand, crashes ALL THE TIME even when I run it from xfce... it doesn't crash X, just the app crashes.


It's strange. On my lap KDE 4.1.96 is stable, No crashes at all. I use xorg-1.5.3, nvidia-drivers-180.22, 2.6.27-gentoo-r7, newest glibc (~amd64). Everything compiled for amd64 env (Core 2 Duo on board), wicd running and stable. Maybe something wrong with confs or libs?
_________________
HP dv5-1040ew + Gentoo ~amd_64
Back to top
View user's profile Send private message
Finswimmer
Moderator
Moderator


Joined: 02 Sep 2004
Posts: 5467
Location: Langen (Hessen), Germany

PostPosted: Fri Jan 23, 2009 11:02 am    Post subject: Reply with quote

genstorm wrote:
Finswimmer wrote:
As wicd currently does not work, I tried to get Networkmanager and KNetworkManager to work.
But Knetworkmanager is only available for 3.5.

A quick equery revealed an ebuild called 'knetworkconf'. Perhaps that's the supposed replacement?


This does not work. In System Settings -> Network Settings -> Network Settings I only get "Could not parse the XML file ()."

Tobi
_________________
Bitte auf Rechtschreibung, korrekte Formatierung und Höflichkeit achten!
Danke
Back to top
View user's profile Send private message
fr4nk
n00b
n00b


Joined: 29 May 2004
Posts: 22
Location: Austria

PostPosted: Fri Jan 23, 2009 2:29 pm    Post subject: Reply with quote

Finswimmer wrote:
As wicd currently does not work, I tried to get Networkmanager and KNetworkManager to work.
But Knetworkmanager is only available for 3.5.

How can I use it without starting a 3.5 session and adjust it there?

Thanks
Tobi


There is kde-misc/networkmanager-applet (in kde-testing, only a live ebuild though, and I haven't tested it yet).
Back to top
View user's profile Send private message
paulbiz
Guru
Guru


Joined: 01 Feb 2004
Posts: 506
Location: St. Louis, Missouri, USA

PostPosted: Fri Jan 23, 2009 3:23 pm    Post subject: Reply with quote

individual wrote:
paulbiz wrote:
It could very well be X or nvidia drivers crashing as a result of something KDE4 is doing, but it only happens to me in KDE 4.2... xfce4 and kde3.5 have never died like that.

Akregator, on the other hand, crashes ALL THE TIME even when I run it from xfce... it doesn't crash X, just the app crashes.


It's strange. On my lap KDE 4.1.96 is stable, No crashes at all. I use xorg-1.5.3, nvidia-drivers-180.22, 2.6.27-gentoo-r7, newest glibc (~amd64). Everything compiled for amd64 env (Core 2 Duo on board), wicd running and stable. Maybe something wrong with confs or libs?


Very strange, your laptop has a similar configuration to my desktop. Are you using desktop effects? I didn't try without it yet (because, frankly, without it KDE4 is like KDE3 with fewer apps and less user-friedndly interface)

I've got ~amd64 Core 2 Duo E6600 (-march=core2), xorg-server-1.5.3-r1, nvidia-drivers-180.22, gentoo-sources-2.6.28-r1, glibc-2.9_p20081201-r1, not using wicd

Nothing else has had problems... computer does not crash/freeze, heavy 3D games play without problems, xorg does not die in xfce or kde3.5.

My nvidia settings in xorg.conf are:

Code:
Section "Device"
    Identifier     "* Unsupported VGA compatible"
    Driver         "nvidia"
    Option "TripleBuffer" "false"
    Option "RenderAccel" "true"
    Option "RandRRotation" "true"
    Option "AllowGLXWithComposite" "true"
    Option "AddARGBGLXVisuals" "true"
    Option "OnDemandVBlankInterrupts" "True"
    Option "NvAGP" "0"
    Option "DamageEvents" "1"
    Option "BackingStore" "1"
    Option "InitialPixmapPlacement" "2"
    Option "GlyphCache" "1"
    Option "PixmapCacheSize" "200000"
    Option "UseEvents" "False"
    Option "DPMS" "true"
    Option "NoLogo" "1"
    Option "AllowIndirectPixmaps" "false"
    Option "AllowSHMPixmaps" "0"
    Option "UseCompositeWrapper" "true"
    Option "Coolbits" "1"
EndSection
Back to top
View user's profile Send private message
Finswimmer
Moderator
Moderator


Joined: 02 Sep 2004
Posts: 5467
Location: Langen (Hessen), Germany

PostPosted: Fri Jan 23, 2009 3:45 pm    Post subject: Reply with quote

fr4nk wrote:
Finswimmer wrote:
As wicd currently does not work, I tried to get Networkmanager and KNetworkManager to work.
But Knetworkmanager is only available for 3.5.

How can I use it without starting a 3.5 session and adjust it there?

Thanks
Tobi


There is kde-misc/networkmanager-applet (in kde-testing, only a live ebuild though, and I haven't tested it yet).


Does not work.
http://www.osnews.com/story/20758/KDE_4_2_Progress_New_NetworkManager_Plasmoid_Coming wrote:

Even though the new plasmoid is far from ready ("at least three persons on this Planet have ever been able to connect to a wireless network using it"), but it's already shaping up nicely in the looks department, and fits in with the rest of Plasma much better than any previous versions.


Tobi
_________________
Bitte auf Rechtschreibung, korrekte Formatierung und Höflichkeit achten!
Danke
Back to top
View user's profile Send private message
chh
Tux's lil' helper
Tux's lil' helper


Joined: 16 May 2002
Posts: 131
Location: Germany

PostPosted: Fri Jan 23, 2009 5:19 pm    Post subject: Reply with quote

Hi again,

I want to install 4.2.0 from kde-testing and I get this error:
Code:
!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

dev-util/cmake:0

  ('installed', '/', 'dev-util/cmake-2.6.2', 'nomerge') pulled in by
    >=dev-util/cmake-2.6.2 required by ('ebuild', '/', 'kde-base/kde-menu-icons-4.2.0', 'merge')
    >=dev-util/cmake-2.6.2 required by ('ebuild', '/', 'kde-base/libkmahjongg-4.2.0', 'merge')
    >=dev-util/cmake-2.6.2 required by ('ebuild', '/', 'kde-base/powerdevil-4.2.0', 'merge')
    (and 430 more)

  ('ebuild', '/', 'dev-util/cmake-2.4.8', 'merge') pulled in by
    >=dev-util/cmake-2.4.6 required by ('ebuild', '/', 'kde-base/kfind-4.2.0', 'merge')
    >=dev-util/cmake-2.4.6 required by ('ebuild', '/', 'kde-base/klines-4.2.0', 'merge')
    >=dev-util/cmake-2.4.6 required by ('ebuild', '/', 'kde-base/ktimer-4.2.0', 'merge')
    (and 214 more)


How can I make them use the same version?


OK forget it, was an unmasking problem

Thanks
Christian
Back to top
View user's profile Send private message
individual
n00b
n00b


Joined: 06 Dec 2006
Posts: 61
Location: Wrocław

PostPosted: Fri Jan 23, 2009 9:19 pm    Post subject: Reply with quote

@paulbiz

My xorg.conf

Code:
Section "Device"
    Identifier     "Device0"
    Driver         "nvidia"
    VendorName     "NVIDIA Corporation"
   Option      "AddARGBGLXVisuals" "True"
   Option      "RenderAccel" "True"
   Option "AllowGLXWithComposite" "True"
   Option "backingstore" "False"
   Option "TripleBuffer" "True"
   Option "DisableGLXRootClipping" "True"
EndSection

Section "Extensions"
Option "Composite" "Enable"
EndSection

_________________
HP dv5-1040ew + Gentoo ~amd_64
Back to top
View user's profile Send private message
paulbiz
Guru
Guru


Joined: 01 Feb 2004
Posts: 506
Location: St. Louis, Missouri, USA

PostPosted: Fri Jan 23, 2009 9:37 pm    Post subject: Reply with quote

individual wrote:
@paulbiz

My xorg.conf

Code:
Section "Device"
    Identifier     "Device0"
    Driver         "nvidia"
    VendorName     "NVIDIA Corporation"
   Option      "AddARGBGLXVisuals" "True"
   Option      "RenderAccel" "True"
   Option "AllowGLXWithComposite" "True"
   Option "backingstore" "False"
   Option "TripleBuffer" "True"
   Option "DisableGLXRootClipping" "True"
EndSection

Section "Extensions"
Option "Composite" "Enable"
EndSection


Thanks, I'll try it when i get home tonight.

I'm pretty sure it is an nvidia/Xorg problem that is being triggered by KDE. I found some posts on nvidia's linux forum reporting similar problems, but no replies or solutions.
Back to top
View user's profile Send private message
Display posts from previous:   
This topic is locked: you cannot edit posts or make replies.    Gentoo Forums Forum Index Unsupported Software All times are GMT
Goto page Previous  1, 2, 3 ... 10, 11, 12 ... 38, 39, 40  Next
Page 11 of 40

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum